% it is assumed that analyzeParacetamol is already ran for:
%   * normal simulation
%   * point set generation
clc
dynamicCaseName = 'paracetamolGrowth';
caseList = {'scaledReduced'};
[result pbeDef] = loadLocalPbeResult(dynamicCaseName);

%% Approximation
generateUnifyingApprox(pbeDef, 4, dynamicCaseName, caseList, {'volume', ...
    'volume'});

%% eval
dataApprox = evaluateUnifyingProjection(dynamicCaseName, ...
    [dynamicCaseName '_4u_volume_scaledReduced']);

%% Compute dynamical evolution for approximation
% write pbe definition(s)
thisCase = [dynamicCaseName '_4u_volume_scaledReduced'];
executeLocalPbeCase(thisCase)
%% eval
evaluateUnifyingSimulation(dynamicCaseName, thisCase)
